
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Dynamic Component</title>
</head>
<body>

    <div id="app">

        <button @click="currentComponent= 'dislike'">Dislike</button>
        <button @click="currentComponent = 'like'">Like</button>
        <hr>

        <component :is="currentComponent"></component>
      



    </div>


    <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"> </script>

    <script type="module">

        import {DislikeComponent} from "./DislikeComponent.js";
        import {LikeComponent} from "./LikeComponent.js"

        var vm= new Vue({
            el:"#app",
            components:{
                'like':LikeComponent,
                'dislike':DislikeComponent

            },

            data:{

                currentComponent:"like"
            }
        })




    </script>


    
</body>
</html>